View Issue Details

IDProjectCategoryView StatusLast Update
15951Bug reportsOtherpublic2020-08-12 11:11
Reportercdorin Assigned Togabrieljenik  
PrioritylowSeverityminor 
Status closedResolutionfixed 
Product Version3.22.5 
Summary15951: No creation date when importing participants to CPDB
Description

Import a csv (see attachment) to CPDB.

No creation date is created.

The creation date should be the date when the entries have been imported.

TagsNo tags attached.
Complete LimeSurvey version number (& build)irrelevant
I will donate to the project if issue is resolvedNo
Browser
Database & DB-Versionirrelevant
Server OS (if known)
Webserver software & version (if known)
PHP Versionirrelevant

Relationships

related to 16534 closedgabrieljenik No creation date when importing participants to CPDB 

Activities

gabrieljenik

gabrieljenik

2020-07-28 18:28

developer   ~59122

Made creation date to be current date
PR: https://github.com/LimeSurvey/LimeSurvey/pull/1502

user225042

2020-08-04 12:02

  ~59285

Last edited: 2020-08-04 12:16

View 2 revisions

Tested the issue before pulling the PR, Issue exist. Tested the issue after pulling the PR, below are my findings:
Screenshot 1: before the Import Created On Date is displayed
Screenshot 2: After the Import Created On Date is not displayed
Screenshot 3: In the Branch before the Import Created On Date is displayed
Screenshot 4: In the Branch after the Import Created On Date is displayed
Please refer the attachment for more details, Working as expected

user225042

2020-08-04 12:16

  ~59286

gabrieljenik

gabrieljenik

2020-08-10 15:37

developer   ~59384

Fix committed to 3.x-LTS branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=30358

lime_release_bot

lime_release_bot

2020-08-12 11:11

administrator   ~59438

Fixed in Release 3.23.0+200813

Related Changesets

LimeSurvey: 3.x-LTS b427d9ed

2020-08-10 15:25:51

gabrieljenik


Committer: GitHub Details Diff
Fixed issue 15951: No creation date when importing participants to CPDB (#1502)

Made creation date to be current date
Affected Issues
15951
mod - application/models/Participant.php Diff File

Issue History

Date Modified Username Field Change
2020-03-05 11:16 cdorin New Issue
2020-03-05 11:40 cdorin Priority none => low
2020-03-05 11:40 cdorin Status new => confirmed
2020-07-28 18:24 gabrieljenik Issue cloned: 16534
2020-07-28 18:24 gabrieljenik Relationship added related to 16534
2020-07-28 18:28 gabrieljenik Note Added: 59122
2020-08-04 12:02 user225042 Note Added: 59285
2020-08-04 12:02 user225042 File Added: 15951_CPDB_CreatedOnDate.png
2020-08-04 12:16 user225042 Note Edited: 59285 View Revisions
2020-08-04 12:16 user225042 File Deleted: 15951_CPDB_CreatedOnDate.png
2020-08-04 12:16 user225042 Note Added: 59286
2020-08-04 12:16 user225042 File Added: 15951_CPDB_CreatedOnDate.png
2020-08-10 15:37 gabrieljenik Changeset attached => LimeSurvey 3.x-LTS b427d9ed
2020-08-10 15:37 gabrieljenik Note Added: 59384
2020-08-10 15:37 gabrieljenik Assigned To => gabrieljenik
2020-08-10 15:37 gabrieljenik Resolution open => fixed
2020-08-12 11:11 lime_release_bot Note Added: 59438
2020-08-12 11:11 lime_release_bot Status confirmed => closed